Traverser.Order
Keywords: org.neo4j.api.core.Traverser.Order class

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.neo4j.api.core
Enum Traverser.Order

    java.lang.Object
      java.lang.Enum<Traverser.Order>
          org.neo4j.api.core.Traverser.Order

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Traverser.Order>

Enclosing interface:
  Traverser

    public static enum Traverser.Order

extends java.lang.Enum<Traverser.Order>

Enum defining the two types of traversals.

Enum Constant Summary
`BREADTH_FIRST`
`DEPTH_FIRST`

Method Summary
`static Traverser.Order` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Traverser.Order[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DEPTH_FIRST

    public static final Traverser.Order DEPTH_FIRST

### BREADTH_FIRST

    public static final Traverser.Order BREADTH_FIRST

Method Detail

### values

    public static final Traverser.Order[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Traverser.Order c : Traverser.Order.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Traverser.Order valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD